%define majver %(echo %version | cut -d. -f1-2)

Name:          breeze-plymouth
Version:       5.15.1
Release:       1mamba
Summary:       KDE Plasma 5 boot splash theme
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{version}/breeze-plymouth-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
Source1:       openmamba.plasma.logo.png
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: plymouth-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Plasma 5 boot splash theme.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build \
   -DDISTRO_NAME="%_distrib_id" \
   -DDISTRO_VERSION="%_distrib_release (%_distrib_codename)"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/plymouth/themes/breeze/images/plasma.logo.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
if [ $1 -ge 1 ]; then
   KVER=`uname -r`
   INITRAMFS=/boot/initramfs-$KVER.img
   if [ -e /boot/vmlinuz-$KVER ]; then
      [ -e $INITRAMFS -a ${_sysconfdir}/dracut.conf -nt $INITRAMFS ] || continue
      [ -e /usr/bin/mkinitrd ] && mkinitrd $INITRAMFS $KVER -f -q
   fi
fi
:

%files
%defattr(-,root,root)
%{_libdir}/plymouth/breeze-text.so
%dir %{_datadir}/plymouth/themes/breeze-text
%{_datadir}/plymouth/themes/breeze-text/*
%dir %{_datadir}/plymouth/themes/breeze
%{_datadir}/plymouth/themes/breeze/breeze.grub
%{_datadir}/plymouth/themes/breeze/breeze.plymouth
%{_datadir}/plymouth/themes/breeze/breeze.script
%dir %{_datadir}/plymouth/themes/breeze/images
%{_datadir}/plymouth/themes/breeze/images/*
%{_datadir}/plymouth/themes/breeze/preview.png
%doc COPYING

%changelog
* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Thu Jan 10 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Mon Dec 03 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Sun Oct 21 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Wed Sep 05 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Sun Jul 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.2-1mamba
- update to 5.13.2

* Wed Jun 20 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Mon May 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Sun Feb 25 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jan 18 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.4-2mamba
- customized with openmamba logo

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Sun Oct 29 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.2-1mamba
- package created using the webbuild interface
